# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/imx27-clock.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Clock bindings for Freescale i.MX27

maintainers:
  - Fabio Estevam <fabio.estevam@nxp.com>

description: |
  The clock consumer should specify the desired clock by having the clock
  ID in its "clocks" phandle cell. See include/dt-bindings/clock/imx27-clock.h
  for the full list of i.MX27 clock IDs.

properties:
  compatible:
    const: fsl,imx27-ccm

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  '#clock-cells':
    const: 1

required:
  - compatible
  - reg
  - '#clock-cells'

additionalProperties: false

examples:
  - |
    #include <dt-bindings/clock/imx27-clock.h>

    clock-controller@10027000 {
        compatible = "fsl,imx27-ccm";
        reg = <0x10027000 0x1000>;
        interrupts = <31>;
        #clock-cells = <1>;
    };

    serial@1000a000 {
        compatible = "fsl,imx27-uart", "fsl,imx21-uart";
        reg = <0x1000a000 0x1000>;
        interrupts = <20>;
        clocks = <&clks IMX27_CLK_UART1_IPG_GATE>,
                 <&clks IMX27_CLK_PER1_GATE>;
        clock-names = "ipg", "per";
    };
